#pragma once
#include "Lampe.h"

enum Lichteffekt
{
    Lichteffekt1 = 1,
    Lichteffekt2 = 2,
    Lichteffekt3 = 3,
    Lichteffekt4 = 4,
    Lichteffekt5 = 5
};

class Schlauch
{
    private:
        Lampe* lampen;
        Lichteffekt lichteffekt;
        bool sekundenTaktIstGerade;
        int generateNumberBetweenOneAndHundred();
        int lichteffekt3_durchgaenge;
    public:
        Schlauch(Lichteffekt lichteffekt);
        void Leuchten();
        Lichteffekt getLichteffekt();




};

